## ktp-common-internals 22.08.1

=== debian/changelog ===
ktp-common-internals (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:45:46 +0100

ktp-common-internals (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:55:07 +0100

ktp-common-internals (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:32:56 +0100

ktp-common-internals (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:07:32 +0100

ktp-common-internals (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:06:38 +0100

ktp-common-internals (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:53:57 +0100

ktp-common-internals (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:16:32 +0000

ktp-common-internals (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key
  * Add signature support for debian/watch

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:23:08 +0000

ktp-common-internals (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:30:57 +0000

ktp-common-internals (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:28:05 +0000

ktp-common-internals (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:23:17 +0000

ktp-common-internals (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:30:30 +0000

ktp-common-internals (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:45:44 +0000

=== debian/control ===
Source: ktp-common-internals
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               doxygen,
               extra-cmake-modules (>= 5.31.0~),
               gettext,
               libaccounts-glib-dev,
               libaccounts-qt5-dev (>= 1.10~),
               libgcrypt20-dev,
               libkaccounts-dev (>= 4:22.08.1~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libotr5-dev (>= 4.0.0~),
               libsignon-qt5-dev,
               libtelepathy-logger-qt-dev (>= 15.04),
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               telepathy-accounts-signon,
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals

Package: kde-telepathy-data
Section: kde
Architecture: all
Depends: ${misc:Depends}
Breaks: kde-telepathy-debugger (<< 4:18.08.3~), ${kde-l10n:all}
Replaces: kde-telepathy-debugger (<< 4:18.08.3~), ${kde-l10n:all}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: kde-telepathy-debugger
Priority: optional
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-telepathy-data (<< 0.9.0)
Replaces: kde-telepathy-data (<< 0.9.0)
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libkf5wallet-dev (>= 5.11~),
         libktpcommoninternals9 (= ${binary:Version}),
         libktplogger9 (= ${binary:Version}),
         libktpmodels9 (= ${binary:Version}),
         libktpotr9 (= ${binary:Version}),
         libktpwidgets9 (= ${binary:Version}),
         libtelepathy-logger-qt-dev (>= 17.08~),
         ${misc:Depends},
Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9
Architecture: any
Depends: kaccounts-integration (>= 4:15.12.2),
         kde-telepathy-data (= ${source:Version}),
         libkf5people5 (>= 0.3.0),
         libtelepathy-logger-qt5 (>= 15.04),
         telepathy-accounts-signon,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version}),
Replaces: libktpcommoninternalsprivate6 (<< 0.7.80)
Breaks: libktpcommoninternalsprivate6 (<< 0.7.80)
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktplogger9
Architecture: any
Breaks: libktploggerprivate7 (<< 0.8.80~)
Replaces: libktploggerprivate7 (<< 0.8.80~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpmodels9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpotr9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libktpotrprivate8 (<< 15.03)
Replaces: libktpotrprivate8 (<< 15.03)
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: libktpwidgets9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-telepathy-declarative (<< 15.03)
Breaks: kde-telepathy-declarative (<< 15.03)
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

## ktp-common-internals 22.12.1

=== debian/changelog ===
ktp-common-internals (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:06:28 +0100

ktp-common-internals (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Refresh patches.
  * New upstream release (22.12.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:45 +0100

=== debian/control ===
Source: ktp-common-internals
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5~),
               gettext,
               libaccounts-qt5-dev (>= 1.10~),
               libgcrypt20-dev,
               libkaccounts-dev (>= 4:20.04.0~),
               libkf5config-dev (>= 5.11~),
               libkf5coreaddons-dev (>= 5.11~),
               libkf5iconthemes-dev (>= 5.11~),
               libkf5kcmutils-dev (>= 5.11~),
               libkf5kio-dev (>= 5.11~),
               libkf5notifications-dev (>= 5.11~),
               libkf5notifyconfig-dev (>= 5.11~),
               libkf5people-dev (>= 5.11~),
               libkf5texteditor-dev (>= 5.11~),
               libkf5wallet-dev (>= 5.11~),
               libkf5widgetsaddons-dev (>= 5.11~),
               libkf5windowsystem-dev (>= 5.11~),
               libotr5-dev (>= 4.0.0~),
               libsignon-qt5-dev (>= 8.55~),
               libtelepathy-logger-qt-dev (>= 17.08~),
               libtelepathy-qt5-dev (>= 0.9.8~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktp-common-internals
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktp-common-internals.git

Package: kde-telepathy-data
Section: kde
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: kde-telepathy-debugger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libkf5wallet-dev (>= 5.11~),
         libtelepathy-logger-qt-dev (>= 17.08~),
         ${misc:Depends},
         ${so:Depends},
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpCommonInternals
Architecture: any
Multi-Arch: same
Depends: kaccounts-integration (>= 15.04),
         libkf5people5 (>= 0.3.0),
         libtelepathy-logger-qt5 (>= 15.04),
         telepathy-accounts-signon,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version}),
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktplogger9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpLogger
Architecture: any
Multi-Arch: same
Breaks: libktplogger9 (<< 20.04.3~)
Replaces: libktplogger9 (<< 20.04.3~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpmodels9abi1
X-Debian-ABI: 1
X-CMake-Target: KTpModels
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpotr9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: libktpwidgets9
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.

## ktp-common-internals 22.12.3

=== KTp/Declarative/CMakeLists.txt ===

include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktp_qml_plugin_SRCS
    conversation.cpp
    conversations-model.cpp
    messages-model.cpp
    pinned-contacts-model.cpp
    filtered-pinned-contacts-proxy-model.cpp
    contact-pin.cpp
    telepathy-manager.cpp
    qml-plugins.cpp
    debug.cpp
    mainlogmodel.cpp
)

add_library (ktpqmlplugin SHARED ${ktp_qml_plugin_SRCS})

target_link_libraries (ktpqmlplugin
    Qt5::Qml
    Qt5::Sql

    KF5::WindowSystem
    KF5::I18n
    KF5::People
    KTp::CommonInternals
    KTp::Logger
    KTp::Models
    KTp::Widgets
)

install (TARGETS ktpqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/telepathy)
install (FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/telepathy)

=== KTp/Widgets/CMakeLists.txt ===
include_directories (${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

set (ktp_widgets_private_SRCS
    contact-view-widget.cpp
    contact-grid-widget.cpp
    contact-grid-dialog.cpp
    contact-info-dialog.cpp
    add-contact-dialog.cpp
    join-chat-room-dialog.cpp
    notification-config-dialog.cpp
    accounts-combo-box.cpp
    start-chat-dialog.cpp
    settings-kcm-dialog.cpp
    debug.cpp
)

set (ktp_widgets_private_HDRS
     contact-view-widget.h
     contact-grid-widget.h
     contact-grid-dialog.h
     contact-info-dialog.h
     add-contact-dialog.h
     join-chat-room-dialog.h
     notification-config-dialog.h
     accounts-combo-box.h
     start-chat-dialog.h
     settings-kcm-dialog.h
)

ki18n_wrap_ui(ktp_widgets_private_SRCS
    add-contact-dialog.ui
    join-chat-room-dialog.ui
    start-chat-dialog.ui
)

add_library (KTpWidgets
                 ${ktp_widgets_private_SRCS}
)
add_library (KTp::Widgets ALIAS KTpWidgets)

#Raise SOVERSION for every 0.x cycle
set_target_properties(KTpWidgets PROPERTIES
                                    VERSION ${KTP_VERSION}
                                    SOVERSION ${KTP_SONUMBER}
                                    EXPORT_NAME Widgets
                                    DEFINE_SYMBOL MAKE_KTP_LIB)
target_include_directories(KTpWidgets PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>)

target_link_libraries (KTpWidgets
                    PUBLIC
                       KTp::CommonInternals
                       KF5::KCMUtils # used in settings-kcm-dialog.h
                       Qt5::Widgets
                    PRIVATE
                       KF5::I18n
                       KF5::WidgetsAddons
                       KF5::IconThemes
                       KF5::KIOFileWidgets
                       KF5::Notifications
                       KF5::NotifyConfig
                       KTp::Models
)

install (TARGETS KTpWidgets
         EXPORT KTpTargets
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install (FILES ${ktp_widgets_private_HDRS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KTp/Widgets
)

=== KTp/Logger/plugins/tplogger/CMakeLists.txt ===
add_library (ktploggerplugin_tplogger MODULE
     tp-logger-plugin.cpp
     pending-tp-logger-dates.cpp
     pending-tp-logger-entities.cpp
     pending-tp-logger-logs.cpp
     pending-tp-logger-search.cpp
     utils.cpp
)

target_link_libraries (ktploggerplugin_tplogger
    KTp::CommonInternals
    KTp::Logger
    KF5::Service
)
kde_target_enable_exceptions(ktploggerplugin_tplogger PRIVATE)

# Install:
install (TARGETS ktploggerplugin_tplogger
         DESTINATION ${KDE_INSTALL_PLUGINDIR}
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ktploggerplugin_tplogger.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/ktploggerplugin_tplogger.desktop
               @ONLY)

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/ktploggerplugin_tplogger.desktop
         DESTINATION ${KDE_INSTALL_KSERVICES5DIR}
)

=== debian/changelog ===
ktp-common-internals (22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:23 +0100

ktp-common-internals (22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian override info format in
    d/kde-telepathy-debugger.lintian-overrides on line 2.
  * Use secure copyright file specification URI.
  * Remove inactive Uploaders.
  * CI: enable again blhc, as it works fine now with blhc 0.13.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 11:16:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,6 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Diane Trout <diane@ghic.org>,
-           Michał Zając <quintasan@kubuntu.org>,
-           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
@@ -43,7 +40,7 @@
 Section: kde
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Shared data for all the KDE Telepathy components
  This package contains KDE Telepathy shared data.
  .
@@ -53,7 +50,7 @@
 
 Package: kde-telepathy-debugger
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Debugging tool for KDE Telepathy
  This package contains a GUI debugging tool which can be used to debug
  issues in Telepathy.
@@ -64,7 +61,7 @@
 Package: kde-telepathy-kaccounts
 Section: kde
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: kaccounts plugins for kde-telepathy
  This links KDE telepathy to kaccounts and vice versa, allowing migrating
  settings from telepathy internal storage to a system-wide shared accounts
@@ -74,7 +71,7 @@
 
 Package: kde-telepathy-kpeople
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: kpeople plugins for kde-telepathy
  This contains plugins to allow kde-telepathy to use kpeople,
  This is necessary for grouping multiple IM accounts into
@@ -122,9 +119,9 @@
 X-CMake-Target: KTpLogger
 Architecture: any
 Multi-Arch: same
-Breaks: libktplogger9 (<< 20.04.3~)
-Replaces: libktplogger9 (<< 20.04.3~)
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libktplogger9 (<< 20.04.3~),
+Replaces: libktplogger9 (<< 20.04.3~),
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE Telepathy internal logger library
  Internal library which consists of the most reused
  parts across KDE Telepathy.
@@ -136,7 +133,7 @@
 X-CMake-Target: KTpModels
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE Telepathy data models internal library
  Internal library which consists of the most reused
  parts across KDE Telepathy.
@@ -145,7 +142,7 @@
 
 Package: libktpotr9
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE Telepathy internal OTR library
  Internal library which consists of the most reused
  parts across KDE Telepathy.
@@ -155,7 +152,7 @@
 Package: libktpwidgets9
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KDE Telepathy common internal widgets library
  Internal library which consists of the most reused
  parts across KDE Telepathy.
@@ -164,7 +161,7 @@
 
 Package: qml-module-org-kde-telepathy
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: kde-telepathy QtDeclarative QML support
  Contains a plugin for QtDeclarative that provides
  support for using KDE-Telepathy to components written

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## ktp-common-internals 23.04.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "04")
set (RELEASE_SERVICE_VERSION_MICRO "3")

# Bump for every 0.x release, or whenever BC changes
set (KTP_SONUMBER 9) # SO 9 is for 15.08 release
set (KTP_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set (KTP_MESSAGE_FILTER_FRAMEWORK_VERSION "5")

project(ktp-common-internals VERSION ${KTP_VERSION})

find_package(ECM 1.7.0 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH
     "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules"
     ${ECM_MODULE_PATH}
)

find_package (Qt5 REQUIRED CONFIG COMPONENTS
              DBus
              Qml
              Sql
              Test
              Xml)

find_package (KF5 5.11 REQUIRED COMPONENTS
              CoreAddons
              Notifications
              KIO
              WidgetsAddons
              KCMUtils
              NotifyConfig
              TextEditor
              Wallet
              Config
              WindowSystem
              IconThemes
              People)

set(REQUIRED_TPQT_VERSION 0.9.8)

find_package (TelepathyQt5 ${REQUIRED_TPQT_VERSION} COMPONENTS Core REQUIRED)
find_package (TelepathyQt5 ${REQUIRED_TPQT_VERSION} COMPONENTS Service) #used for the otr-proxy
find_package (TelepathyLoggerQt)

find_package (KAccounts)
find_package (AccountsQt5 1.10 CONFIG)
find_package (SignOnQt5 8.55 CONFIG)
find_package (LibOTR 4.0.0)
find_package (Libgcrypt)
find_package (telepathy-accounts-signon)

if (LIBOTR_FOUND AND LIBGCRYPT_FOUND AND TARGET TelepathyQt5::Service)
    set(OTR_LIBS_FOUND TRUE)
endif ()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)

set_package_properties(KF5People PROPERTIES DESCRIPTION "Support for KDE Contact Aggregation"
                       URL "https://commits.kde.org/kpeople"
                       TYPE OPTIONAL
                      )
set_package_properties(TelepathyLoggerQt PROPERTIES DESCRIPTION "Qt bindings for TelepathyLogger. This is needed to provide access to chat logs. HIGHLY recommended"
                       URL "https://commits.kde.org/telepathy-logger-qt"
                       TYPE OPTIONAL
                      )
set_package_properties(LibOTR PROPERTIES DESCRIPTION "Required for OTR support" TYPE OPTIONAL)
set_package_properties(Libgcrypt PROPERTIES DESCRIPTION "Required for OTR support" TYPE OPTIONAL)

set_package_properties(telepathy-accounts-signon PROPERTIES
                       PURPOSE "Runtime-only dependency on a Telepathy Mission Control plugin, currently residing at https://gitlab.com/accounts-sso/telepathy-accounts-signon"
                       TYPE RUNTIME
                      )

add_definitions(-DKTP_MESSAGE_FILTER_FRAMEWORK_VERSION=\"${KTP_MESSAGE_FILTER_FRAMEWORK_VERSION}\")
add_definitions(-DTRANSLATION_DOMAIN=\"ktp-common-internals\")
add_definitions (
                 -DQT_NO_CAST_FROM_ASCII
                 -DQT_NO_KEYWORDS
)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include_directories (
                     ${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
)

if (KF5People_FOUND)
    add_definitions(-DHAVE_KPEOPLE)
    add_subdirectory(kpeople)
endif ()

#If we find KAccounts library, build the plugin for it
if (KAccounts_FOUND AND AccountsQt5_FOUND AND SignOnQt5_FOUND)
    include_directories(${ACCOUNTSQT_INCLUDE_DIRS} ${SIGNONQT_INCLUDE_DIRS})
    add_subdirectory(kaccounts)
endif ()

ecm_setup_version(${KTP_VERSION} VARIABLE_PREFIX KTP
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ktp_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KTpConfigVersion.cmake"
                        SOVERSION ${KTP_SONUMBER})

add_subdirectory(KTp)
add_subdirectory(tools)
add_subdirectory(data)
add_subdirectory(tests)

if (OTR_LIBS_FOUND)
    include_directories (${LIBOTR_INCLUDE_DIR}
                         ${LIBGCRYPT_INCLUDE_DIR}
    )
    add_subdirectory(otr-proxy)
endif (OTR_LIBS_FOUND)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KTp")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KTpConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KTpConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KTpConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KTpConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KTpTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KTpTargets.cmake NAMESPACE KTp:: COMPONENT Devel)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== tools/CMakeLists.txt ===
add_subdirectory(debugger)

=== KTp/OTR/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set (ktp_otr_private_HDRS
    channel-adapter.h
    channel-proxy-interface.h
    constants.h
    proxy-service-interface.h
    types.h
    utils.h
    ${CMAKE_CURRENT_BINARY_DIR}/ktpotr_export.h
)

add_library (KTpOTR SHARED
    channel-adapter.cpp
    channel-proxy-interface.cpp
    proxy-service-interface.cpp
    types.cpp
    utils.cpp
    debug.cpp)
add_library(KTp::OTR ALIAS KTpOTR)

set_target_properties(KTpOTR PROPERTIES
                                       VERSION ${KTP_VERSION}
                                       SOVERSION ${KTP_SONUMBER}
                                       EXPORT_NAME OTR
                                       DEFINE_SYMBOL MAKE_KTP_LIB)
generate_export_header(KTpOTR)

target_link_libraries (KTpOTR
                        PUBLIC
                            Qt5::DBus
                            TelepathyQt5::Core
                        PRIVATE
                            KF5::I18n
)

install (TARGETS KTpOTR
         EXPORT KTpTargets
         ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

install (FILES ${ktp_otr_private_HDRS}
         DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KTp/OTR
)

=== otr-proxy/KTpProxy/CMakeLists.txt ===
set(ktp-proxy_SRCS
        proxy-observer.cpp
        proxy-service-adaptee.cpp
        proxy-service.cpp
        svc-channel-proxy.cpp
        svc-proxy-service.cpp
        otr-proxy-channel.cpp
        otr-proxy-channel-adaptee.cpp
        pending-curry-operation.cpp
        otr-session.cpp
        otr-manager.cpp
        otr-message.cpp
        otr-config.cpp
        otr-utils.cpp
        ktp-proxy-debug.cpp
)

kconfig_add_kcfg_files(ktp-proxy_SRCS ktp-proxy-config.kcfgc)

add_library(ktp-proxy-lib STATIC ${ktp-proxy_SRCS})

set(ktp-proxy_LIBS
        ${LIBOTR_LIBRARY}
        ${LIBGCRYPT_LIBRARIES}
        TelepathyQt5::Service
        KTp::CommonInternals
        KTp::OTR
        KF5::ConfigGui
)

target_link_libraries(ktp-proxy-lib ${ktp-proxy_LIBS})

add_executable(ktp-proxy main.cpp)
target_link_libraries(ktp-proxy ktp-proxy-lib)

install(TARGETS ktp-proxy DESTINATION ${KDE_INSTALL_LIBEXECDIR})
install(FILES ktp-proxy-config.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== tools/debugger/CMakeLists.txt ===
project(ktp-debugger)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

set(ktp-debugger_SRCS
    debug-message-view.cpp
    telepathy-process.cpp
    main-window.cpp
    main.cpp
)

ki18n_wrap_ui(ktp-debugger_SRCS main-window.ui)
add_executable(ktp-debugger ${ktp-debugger_SRCS})
target_link_libraries(ktp-debugger
    ${TELEPATHY_QT5_LIBRARIES}
    KF5::IconThemes
    KF5::TextEditor
    KF5::I18n
    KF5::IconThemes
    KF5::XmlGui
)
target_include_directories(ktp-debugger PUBLIC ${TELEPATHY_QT5_INCLUDE_DIR}) # TODO: Remove when TelepathyQt exports include paths properly

install(TARGETS ktp-debugger DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES ktpdebugoutput.xml DESTINATION ${KDE_INSTALL_DATADIR}/katepart5/syntax)

=== debian/changelog ===
ktp-common-internals (4:23.04.3-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:38:10 +0000

ktp-common-internals (4:23.04.3-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:26:26 +0000

ktp-common-internals (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:54:19 +0100

ktp-common-internals (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Update installed files
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:00:52 +0100

ktp-common-internals (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:43:38 +0000

ktp-common-internals (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:25:44 -0600

ktp-common-internals (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:19:25 +0000

ktp-common-internals (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:15:11 +0000

ktp-common-internals (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:11:25 +0000

ktp-common-internals (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:54:22 +0000

ktp-common-internals (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:14:20 +0000

=== debian/control ===
Source: ktp-common-internals
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Michał Zając <quintasan@kubuntu.org>,
           Mark Purcell <msp@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               doxygen,
               extra-cmake-modules (>= 5.31.0~),
               gettext,
               libaccounts-glib-dev,
               libaccounts-qt5-dev (>= 1.10~),
               libgcrypt20-dev,
               libkaccounts-dev (>= 4:23.04.3~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5people-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libotr5-dev (>= 4.0.0~),
               libsignon-qt5-dev,
               libtelepathy-logger-qt-dev (>= 15.04),
               libtelepathy-qt5-dev (>= 0.9.5),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               telepathy-accounts-signon,
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktp-common-internals

Package: kde-telepathy-data
Section: kde
Architecture: all
Depends: ${misc:Depends}
Breaks: kde-telepathy-debugger (<< 4:18.08.3~), ${kde-l10n:all}
Replaces: kde-telepathy-debugger (<< 4:18.08.3~), ${kde-l10n:all}
Description: Shared data for all the KDE Telepathy components
 This package contains KDE Telepathy shared data.
 .
 These various data files are used by nearly all the different KDE
 Telepathy components, and include files such as icons and
 translations.

Package: kde-telepathy-debugger
Priority: optional
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Debugging tool for KDE Telepathy
 This package contains a GUI debugging tool which can be used to debug
 issues in Telepathy.
 .
 It will show the debugging messages from the various telepathy
 components.

Package: kde-telepathy-kaccounts
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: kaccounts plugins for kde-telepathy
 This links KDE telepathy to kaccounts and vice versa, allowing migrating
 settings from telepathy internal storage to a system-wide shared accounts
 management system.
 .
 This contains plugins to work with kaccounts.

Package: kde-telepathy-kpeople
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kde-telepathy-data (<< 0.9.0)
Replaces: kde-telepathy-data (<< 0.9.0)
Description: kpeople plugins for kde-telepathy
 This contains plugins to allow kde-telepathy to use kpeople,
 This is necessary for grouping multiple IM accounts into
 meta-contacts.

Package: libktp-dev
Section: libdevel
Architecture: any
Depends: libkf5wallet-dev (>= 5.11~),
         libktpcommoninternals9 (= ${binary:Version}),
         libktplogger9 (= ${binary:Version}),
         libktpmodels9 (= ${binary:Version}),
         libktpotr9 (= ${binary:Version}),
         libktpwidgets9 (= ${binary:Version}),
         libtelepathy-logger-qt-dev (>= 17.08~),
         ${misc:Depends},
Breaks: libktpcommoninternalsprivate-dev (<< 15.03.80)
Replaces: libktpcommoninternalsprivate-dev (<< 15.03.80)
Description: KDE Telepathy internal library - Development headers
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This package contains development headers for
 the ktp-common-internals library.
 .
 You should not use this library for developing applications
 outside of the KDE Telepathy project umbrella. This package
 is only provided for compiling the rest of the components.

Package: libktpcommoninternals9
Architecture: any
Depends: kaccounts-integration (>= 4:15.12.2),
         kde-telepathy-data (= ${source:Version}),
         libkf5people5 (>= 0.3.0),
         libtelepathy-logger-qt5 (>= 15.04),
         telepathy-accounts-signon,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kde-telepathy-kaccounts (= ${binary:Version}),
            kde-telepathy-kpeople (= ${binary:Version}),
Replaces: libktpcommoninternalsprivate6 (<< 0.7.80)
Breaks: libktpcommoninternalsprivate6 (<< 0.7.80)
Description: KDE Telepathy common internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This contains the generic common components.

Package: libktplogger9
Architecture: any
Breaks: libktploggerprivate7 (<< 0.8.80~)
Replaces: libktploggerprivate7 (<< 0.8.80~)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy internal logger library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes the shared KDE-Telepathy logger service.

Package: libktpmodels9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy data models internal library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes Qt models.

Package: libktpotr9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libktpotrprivate8 (<< 15.03)
Replaces: libktpotrprivate8 (<< 15.03)
Description: KDE Telepathy internal OTR library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This includes components to support OTR

Package: libktpwidgets9
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Telepathy common internal widgets library
 Internal library which consists of the most reused
 parts across KDE Telepathy.
 .
 This also includes common widgets like the contact grid.

Package: qml-module-org-kde-telepathy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kde-telepathy-declarative (<< 15.03)
Breaks: kde-telepathy-declarative (<< 15.03)
Description: kde-telepathy QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-Telepathy to components written
 in QML.
